# Retrieve Technical Accounts
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-technical-acc/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving a list of technical accounts stored in the CMS under a specified contract.

**Sample request**

`GET /contracts/70001/technical-accounts`

**Sample response**

`200`

```JSON
{
    "technicalAccounts": [
        {
            "accountTemplateId": "203040",
            "accountTemplateName": "BCC Current Retail",
            "ageingPriority": 67,
            "ageingTechnicalAccountId": "21611840",
            "ageingTechnicalAccountName": "BCC Billed Grace Retail",
            "analyticNumber": "CCREUR-LOAN-978",
            "balance": 1240.1,
            "billingCycleNumber": 1,
            "category": "O",
            "contractId": 984621965,
            "contractNumber": "111235697296337",
            "currency": "EUR",
            "currencyNumericCode": "978",
            "dueType": "S",
            "endDate": "2021-06-25",
            "inAmountAvailable": true,
            "interestFeeRate": 156.56,
            "interestRate": 10,
            "interestTechnicalAccountId": "21611750",
            "interestTechnicalAccountName": "Cl Loan Int",
            "lowerLimit": 100,
            "overLimitTechnicalAccountId": "21611760",
            "overLimitTechnicalAccountName": "CH Current/Credits",
            "ownBlockedAmount": 150.9,
            "paymentPriority": 67,
            "startBalance": 0,
            "startDate": "2021-06-25",
            "syntheticNumber": "CCREUR-LOAN-978",
            "technicalAccountId": 2156184,
            "technicalAccountCode": "BF",
            "technicalAccountName": "Cl Loan Int",
            "technicalAccountType": "BCC Current Retail",
            "totalBlockedAmount": 199.9,
            "upperLimit": 5000
        }
    ]
}
```

## Test case -- Success -- Invalid technical account code {#test-case--success--invalid-technical-account-code}

This test case describes retrieving a list of technical accounts stored in the CMS under a specified contract with the incorrect value in the `technical_account_code` query path.

For this test case, use the following information in the request:

|     Query parameter      | Available value |
|--------------------------|-----------------|
| `technical_account_code` | INVALID         |

**Sample request**

`GET /contracts/70001/technical-accounts?technical_account_code=INVALID`

**Sample response**

`200`

```JSON
{
    "technicalAccounts": []
}
```

